org.apache.commons.io.function

## Interface IOTriFunction<T,U,V,R>

- Type Parameters:
    `T` - the type of the first argument to the function
    `U` - the type of the second argument to the function
    `V` - the type of the third argument to the function
    `R` - the type of the result of the function
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IOTriFunction<T,U,V,R>

  Represents a function that accepts three arguments and produces a result. This is the three-arity specialization of `IOFunction`.

  This is a functional interface whose functional method is `apply(Object, Object, Object)`.

  Since:
    2.12.0
  See Also:
    `Function`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <W> IOTriFunction<T,U,V,W>` | `andThen(IOFunction<? super R,? extends W> after)` Creates a composed function that first applies this function to its input, and then applies the `after` function to the result.
    `R` | `apply(T t, U u, V v)` Applies this function to the given arguments.

- - ### Method Detail

    - #### andThen

          default <W> IOTriFunction<T,U,V,W> andThen(IOFunction<? super R,? extends W> after)

      Creates a composed function that first applies this function to its input, and then applies the `after` function to the result. If evaluation of either function throws an exception, it is relayed to the caller of the composed function.
      Type Parameters:
        `W` - the type of output of the `after` function, and of the composed function
      Parameters:
        `after` - the function to apply after this function is applied
      Returns:
        a composed function that first applies this function and then applies the `after` function
      Throws:
        `NullPointerException` - if after is null

    - #### apply

          R apply(T t,
                  U u,
                  V v)
           throws IOException

      Applies this function to the given arguments.
      Parameters:
        `t` - the first function argument
        `u` - the second function argument
        `v` - the third function argument
      Returns:
        the function result
      Throws:
        `IOException` - if an I/O error occurs.

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.